Subject: [PATCH v2 4/6] net: ethernet: bgmac: convert to feature flags

From: [email-masked] (Florian Fainelli)
Date: Fri, 8 Jul 2016 11:11:39 -0700

On 07/07/2016 04:08 PM, Jon Mason wrote:
> The bgmac driver is using the bcma provides device ID and revision, as
> well as the SoC ID and package, to determine which features are
> necessary to enable, reset, etc in the driver.   In anticipation of
> removing the bcma requirement for this driver, these must be changed to
> not reference that struct.  In place of that, each "feature" has been
> given a flag, and the flags are enabled for their respective device and
> SoC.
> 
> Signed-off-by: Jon Mason <[email-masked]>
> Acked-by: Arnd Bergmann <[email-masked]>

Reviewed-by: Florian Fainelli <[email-masked]>
Tested-by: Florian Fainelli <[email-masked]>
-- 
Florian